%define upstream_name    IO-TieCombine
%define upstream_version 1.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Tied scalars for IO::TieCombine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.5.0-5.mga9
+ Revision: 1804145
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.5.0-4.mga8
+ Revision: 1495168
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.5.0-3.mga7
+ Revision: 1268837
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.5.0-2.mga6
+ Revision: 1028791
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.5.0-1.mga6
+ Revision: 923775
- update to 1.005

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-3.mga5
+ Revision: 747878
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-2.mga5
+ Revision: 685088
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.4.0-1.mga5
+ Revision: 588434
- update to 1.004

* Mon Oct 21 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 537235
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.3.0-1.mga4
+ Revision: 486634
- update to 1.003

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 368593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 1.2.0-1.mga2
+ Revision: 218754
- update to 1.002

* Sat Dec 10 2011 kharec <kharec> 1.1.0-1.mga2
+ Revision: 179899
- update to 1.001

* Thu Jan 20 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 26413
- mageia rebuild
- imported package perl-IO-TieCombine

